:---------------------------------------------------------------------------------
: Name - install.bat
:
: Purpose - To unzip the zipfiles containing the SLID Retrieval system components.
:
: Inputs - slidret (system component zipfile, excluding queries database)
:	 - slidque (queries database zipfile)
:
: Outputs - SLID Retrieval system files
:
: Parameters (PKZIP25)
:	-extract=all	Extract all files from zipfile
:	-dir=current	Recreate sub-directories relative to current directory
:
: Modifications done
:   June 1999
:   Originally there was just 1 zipfile (slidret) to unzip, that included
:   the queries database.
:   However, it is not always desirable to give the client a new version
:   of the queries database.  A new queries database would overwrite the
:   client's existing result tables.
:   Modified to unzip the queries database only if a queries database does 
:   not already exist.
:
:   July 2001
:   When unzipping the queries database, changed hard-coded address for pkunzip 
:   (slidret\pkunzip) to an address relative to the queries directory (..\pkunzip).
:   Similarly, the queries zip file (\slidret\slidque) has been changed to ..\slidque.
:   The reason is that clients do not always install the system in \slidret
:   (they should but they don't).  So relative addressing is safer.
:
:   July 2001
:   Replaced PKUNZIP with newer PKZIP25 to handle longer file names.
:
:   November 2001
:   slidret.zip contained the directory 'queries', so clients were being prompted
:   to replace their existing queries directory.  Zipping of queries directory
:   has been removed from slidret.zip and put into slidque.zip.
:   slidque.zip now contains the queries directory, the temp subdirectory, and
:   the queries database.
:
:----------------------------------------------------------------------------------

pkzip25 -extract=all -dir=current slidret.zip

: Verify if queries directory and database already exist for user. 
: If they already exist, do NOT overwrite the user's queries. 
: If not, create the queries directory with associated database.
IF EXIST queries\queries.dbc	goto :EOF
pkzip25 -extract=all -dir=current slidque.zip


:---------- Obsolete code (commented out) ----------------------------

: Optionally, unzip the queries database into the queries directory
:CD queries
:IF NOT EXIST queries.dbc   ..\pkzip25 -extract=all ..\slidque.zip
:CD ..


:---------- Obsolete code for PKUNZIP (commented out) ----------------------------

:pkunzip -d slidret

: Optionally, unzip the queries database into the queries directory
:CD queries
:IF NOT EXIST queries.dbc   ..\pkunzip -d \slidret\slidque
:CD ..

